package com.offline.music.player.ui.activity;

import android.view.View;

import com.offline.music.player.databinding.ActivityAsettingBinding;
import com.offline.music.player.helper.SettingUtil;
import com.offline.music.player.max.MaxManager;

public class A_SettingActivity extends BaseActivity<ActivityAsettingBinding> {


    @Override
    protected ActivityAsettingBinding getViewBinding() {
        return ActivityAsettingBinding.inflate(getLayoutInflater());
    }

    @Override
    protected void onCreateInit() {
        MaxManager.onLoadAd();
    }

    @Override
    protected void onInitClick() {


        vb.version.setText("Version: " + SettingUtil.getCurrentVersion(this));

        vb.feedback.setOnClickListener(v -> {
            SettingUtil.sendFeedback(this, "john.mckinley@examplepetstore.com", "Feedback");
        });

        vb.share.setOnClickListener(v -> {
            SettingUtil.shareApp(this);
        });

        vb.privacy.setOnClickListener(v -> {
            SettingUtil.openPrivacyPolicy(this);
        });

        vb.terms.setOnClickListener(v -> {
            SettingUtil.openTermsOfService(this);
        });

        vb.back.setOnClickListener(v -> {
            finish();
        });


    }

    @Override
    public boolean isFullScreen() {
        return true;
    }

    @Override
    public boolean statusBarLight() {
        return false;
    }

    @Override
    public boolean showPanel() {
        return false;
    }

    @Override
    public void onClick(View v) {

    }
}